Debian Bug report logs - #627575
linux-image-2.6.39-1-amd64: hangs loading eeprom after reporting "GMBUS timed out" [i915]

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Sun, 22 May 2011 04:12:02 UTC

Severity: important

Tags: fixed-upstream, pending

Found in version 2.6.39-1

Fixed in version linux-2.6/2.6.39-3

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=37514

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627575; Package linux-2.6. (Sun, 22 May 2011 04:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 May 2011 04:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.39-1-amd64: hangs loading eeprom after reporting "GMBUS timed out" [i915]
Date: Sun, 22 May 2011 00:07:22 -0400
Package: linux-2.6
Version: 2.6.39-1
Severity: important

Since upgrading from 2.6.38-2 (Debian 2.6.38-5), I've found that, at
least on systems with integrated Intel graphics, loading the eeprom
module hangs indefinitely after reporting messages of the form

[drm] GMBUS timed out, falling back to bit banging on pin N [i915 gmbus foo]

This regression proved particularly troublesome on my desktop, whose
/etc/modules has historically listed eeprom (per sensors-detect?);
however, as you can see, I can reproduce it on my laptop as well.  (A
couple of minor details vary; my desktop's chipset is a Q35 rather
than a GM45, and after giving up on pin 0 there, the kernel proceeds
to try pin 1, with the hang occurring after one mention thereof.)

Could you please investigate this problem?

Thanks!

-- Package-specific info:
** Version:
Linux version 2.6.39-1-amd64 (Debian 2.6.39-1) (maks@debian.org) (gcc version 4.4.5 (Debian 4.4.5-12) ) #1 SMP Thu May 19 14:30:28 UTC 2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.39-1-amd64 root=UUID=b42c4bb6-4ecc-42b1-a76c-2fa20f9845e8 ro single

** Tainted: PO (4097)
 * Proprietary module has been loaded.
 * Out-of-tree module has been loaded.

** Kernel log:
[ 2904.484147] [drm] GMBUS timed out, falling back to bit banging on pin 0 [i915 gmbus disabled]
[ 2904.540156] [drm] GMBUS timed out, falling back to bit banging on pin 0 [i915 gmbus disabled]
[ 2904.596159] [drm] GMBUS timed out, falling back to bit banging on pin 0 [i915 gmbus disabled]
[ 2904.652153] [drm] GMBUS timed out, falling back to bit banging on pin 0 [i915 gmbus disabled]
[ 2904.708158] [drm] GMBUS timed out, falling back to bit banging on pin 0 [i915 gmbus disabled]
[ 2904.764159] [drm] GMBUS timed out, falling back to bit banging on pin 0 [i915 gmbus disabled]
[ 2904.820147] [drm] GMBUS timed out, falling back to bit banging on pin 0 [i915 gmbus disabled]
[ 2904.876159] [drm] GMBUS timed out, falling back to bit banging on pin 0 [i915 gmbus disabled]
[ 2905.584162] [drm] GMBUS timed out, falling back to bit banging on pin 6 [i915 gmbus reserved]
[ 2905.640162] [drm] GMBUS timed out, falling back to bit banging on pin 6 [i915 gmbus reserved]
[ 2905.696046] [drm] GMBUS timed out, falling back to bit banging on pin 6 [i915 gmbus reserved]
[ 2905.752155] [drm] GMBUS timed out, falling back to bit banging on pin 6 [i915 gmbus reserved]
[ 2905.808119] [drm] GMBUS timed out, falling back to bit banging on pin 6 [i915 gmbus reserved]
[ 2905.864110] [drm] GMBUS timed out, falling back to bit banging on pin 6 [i915 gmbus reserved]
[ 2905.920157] [drm] GMBUS timed out, falling back to bit banging on pin 7 [i915 gmbus dpd]
[ 3120.492233] INFO: task modprobe:8678 blocked for more than 120 seconds.
[ 3120.492242] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 3120.492248] modprobe        D ffff8800a32b27a0     0  8678   8677 0x00000004
[ 3120.492259]  ffff8800a32b27a0 0000000000000082 ffff8800a32b27a0 ffff8800a32a6e40
[ 3120.492271]  0000000000013b40 ffff880086ef7fd8 ffff880086ef7fd8 0000000000013b40
[ 3120.492282]  ffff8800a32b27a0 ffff880086ef6010 ffff8800a32b27a0 ffff880086ef6000
[ 3120.492293] Call Trace:
[ 3120.492352]  [<ffffffff81331cb5>] ? __mutex_lock_common+0x127/0x193
[ 3120.492383]  [<ffffffffa024fecc>] ? i2c_add_numbered_adapter+0xad/0xad [i2c_core]
[ 3120.492391]  [<ffffffff81331ded>] ? mutex_lock+0x1a/0x33
[ 3120.492406]  [<ffffffffa024ff02>] ? i2c_add_adapter+0x36/0x86 [i2c_core]
[ 3120.492416]  [<ffffffff811a95a9>] ? snprintf+0x36/0x3b
[ 3120.492430]  [<ffffffffa02c585c>] ? __i2c_bit_add_bus+0x1e9/0x22c [i2c_algo_bit]
[ 3120.492459]  [<ffffffffa03f227b>] ? intel_gpio_create+0x124/0x13d [i915]
[ 3120.492486]  [<ffffffffa03f29da>] ? gmbus_xfer+0x3ef/0x46d [i915]
[ 3120.492503]  [<ffffffffa024ed26>] ? i2c_transfer+0xa1/0xdd [i2c_core]
[ 3120.492520]  [<ffffffffa024f055>] ? i2c_smbus_xfer_emulated+0x2f3/0x3fd [i2c_core]
[ 3120.492529]  [<ffffffff811a338e>] ? kobject_get+0x12/0x17
[ 3120.492539]  [<ffffffff81241c84>] ? get_device+0x14/0x1b
[ 3120.492548]  [<ffffffff8131c187>] ? klist_add_tail+0x1f/0x41
[ 3120.492556]  [<ffffffff81243129>] ? device_add+0x4de/0x5d7
[ 3120.492572]  [<ffffffffa024f7cc>] ? i2c_default_probe+0x99/0xfd [i2c_core]
[ 3120.492589]  [<ffffffffa025007a>] ? i2c_do_add_adapter+0xcf/0x22b [i2c_core]
[ 3120.492605]  [<ffffffffa02501d6>] ? i2c_do_add_adapter+0x22b/0x22b [i2c_core]
[ 3120.492615]  [<ffffffff81244264>] ? bus_for_each_dev+0x44/0x78
[ 3120.492631]  [<ffffffffa02501d6>] ? i2c_do_add_adapter+0x22b/0x22b [i2c_core]
[ 3120.492647]  [<ffffffffa024e6a3>] ? i2c_for_each_dev+0x2c/0x47 [i2c_core]
[ 3120.492668]  [<ffffffffa0045000>] ? 0xffffffffa0044fff
[ 3120.492684]  [<ffffffffa024e774>] ? i2c_register_driver+0x9c/0xa2 [i2c_core]
[ 3120.492695]  [<ffffffffa0045000>] ? 0xffffffffa0044fff
[ 3120.492704]  [<ffffffff81002078>] ? do_one_initcall+0x78/0x131
[ 3120.492714]  [<ffffffff810757b6>] ? sys_init_module+0xd3/0x221
[ 3120.492722]  [<ffffffff81338c12>] ? system_call_fastpath+0x16/0x1b

** Model information
sys_vendor: LENOVO
product_name: 2714CTO
product_version: ThinkPad R500
chassis_vendor: LENOVO
chassis_version: Not Available
bios_vendor: LENOVO
bios_version: 7YET66WW (2.16 )
board_vendor: LENOVO
board_name: 2714CTO
board_version: Not Available

** Loaded modules:
Module                  Size  Used by
eeprom                 18581  1 
nls_utf8               12456  1 
nls_cp437              16553  1 
ufs                    61682  0 
qnx4                   13184  0 
hfsplus                75370  0 
hfs                    45666  0 
minix                  27349  0 
ntfs                  166790  0 
vfat                   17165  1 
msdos                  17070  0 
fat                    45206  2 vfat,msdos
jfs                   140566  0 
xfs                   603567  0 
reiserfs              198112  0 
ext4                  317207  0 
jbd2                   65105  1 ext4
ext2                   62796  0 
mmc_block              17381  2 
openafs               623927  2 
cn                     12933  1 
snd_atiixp_modem       17883  0 
snd_via82xx_modem      17668  0 
snd_intel8x0m          17620  0 
snd_ac97_codec        106288  3 snd_atiixp_modem,snd_via82xx_modem,snd_intel8x0m
ac97_bus               12510  1 snd_ac97_codec
kvm_intel              49912  0 
kvm                   263518  1 kvm_intel
ip6table_filter        12540  0 
ip6_tables             21907  1 ip6table_filter
iptable_filter         12536  0 
ip_tables              21818  1 iptable_filter
x_tables               18886  4 ip6table_filter,ip6_tables,iptable_filter,ip_tables
acpi_cpufreq           12849  1 
mperf                  12411  1 acpi_cpufreq
cpufreq_conservative    13147  0 
cpufreq_userspace      12576  0 
cpufreq_stats          12713  0 
cpufreq_powersave      12454  0 
parport_pc             22191  0 
ppdev                  12725  0 
lp                     17190  0 
parport                31650  3 parport_pc,ppdev,lp
bnep                   17424  2 
rfcomm                 32744  0 
bluetooth             107224  10 bnep,rfcomm
crc16                  12343  2 ext4,bluetooth
binfmt_misc            12914  1 
uinput                 17392  1 
fuse                   61554  3 
nfsd                  258506  2 
nfs                   251154  0 
lockd                  70844  2 nfsd,nfs
fscache                36071  1 nfs
auth_rpcgss            36788  2 nfsd,nfs
nfs_acl                12511  2 nfsd,nfs
sunrpc                162130  6 nfsd,nfs,lockd,auth_rpcgss,nfs_acl
loop                   22479  0 
firewire_sbp2          17825  0 
snd_hda_codec_conexant    40393  1 
snd_hda_intel          25946  0 
snd_hda_codec          67865  2 snd_hda_codec_conexant,snd_hda_intel
option                 24802  0 
snd_hwdep              13148  1 snd_hda_codec
snd_pcm_oss            40662  0 
snd_mixer_oss          17905  1 snd_pcm_oss
usb_wwan               17206  1 option
snd_pcm                67276  7 snd_atiixp_modem,snd_via82xx_modem,snd_intel8x0m,snd_ac97_codec,snd_hda_intel,snd_hda_codec,snd_pcm_oss
arc4                   12458  2 
thinkpad_acpi          60656  0 
ecb                    12737  2 
snd_seq_midi           12848  0 
uvcvideo               57386  0 
videodev               66266  1 uvcvideo
usbserial              31986  2 option,usb_wwan
media                  18148  1 videodev
v4l2_compat_ioctl32    16575  1 videodev
snd_rawmidi            22963  1 snd_seq_midi
firewire_ohci          35027  0 
snd_seq_midi_event     13316  1 snd_seq_midi
snd_seq                44678  2 snd_seq_midi,snd_seq_midi_event
snd_timer              22658  2 snd_pcm,snd_seq
snd_seq_device         13155  3 snd_seq_midi,snd_rawmidi,snd_seq
sdhci_pci              13184  0 
sdhci                  21685  1 sdhci_pci
firewire_core          47790  2 firewire_sbp2,firewire_ohci
joydev                 17138  0 
pcmcia                 32719  0 
i2c_i801               16870  0 
i915                  329760  3 
iwlagn                174901  0 
drm_kms_helper         26950  1 i915
mac80211              181270  1 iwlagn
drm                   166500  4 i915,drm_kms_helper
r852                   17768  0 
sm_common              16450  1 r852
nand                   44305  2 r852,sm_common
uhci_hcd               26290  0 
nand_ids               12313  1 nand
snd                    52324  16 snd_atiixp_modem,snd_via82xx_modem,snd_intel8x0m,snd_ac97_codec,snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,thinkpad_acpi,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
cfg80211              126244  2 iwlagn,mac80211
nand_ecc               12444  1 nand
yenta_socket           22601  0 
i2c_algo_bit           12834  1 i915
tpm_tis                13125  0 
tpm                    17756  1 tpm_tis
tg3                   109263  0 
psmouse                55199  0 
snd_page_alloc         12969  5 snd_atiixp_modem,snd_via82xx_modem,snd_intel8x0m,snd_hda_intel,snd_pcm
ehci_hcd               39487  0 
battery                13109  0 
ac                     12624  0 
i2c_core               23766  7 eeprom,videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
mmc_core               58824  2 mmc_block,sdhci
processor              27431  3 acpi_cpufreq
pcmcia_rsrc            17483  1 yenta_socket
mtd                    24058  2 sm_common,nand
tpm_bios               12903  1 tpm
libphy                 18759  1 tg3
crc_itu_t              12347  1 firewire_core
rfkill                 19014  5 bluetooth,thinkpad_acpi,cfg80211
usbcore               127203  7 option,usb_wwan,uvcvideo,usbserial,uhci_hcd,ehci_hcd
sg                     25769  0 
sr_mod                 21824  0 
cdrom                  35134  1 sr_mod
soundcore              13014  1 snd
serio_raw              12878  0 
power_supply           13475  2 battery,ac
pcspkr                 12579  0 
video                  17553  1 i915
pcmcia_core            18333  3 pcmcia,yenta_socket,pcmcia_rsrc
nvram                  12997  1 thinkpad_acpi
evdev                  17475  27 
wmi                    13202  0 
button                 12895  1 i915
ext3                  112254  4 
jbd                    41698  1 ext3
mbcache                12930  3 ext4,ext2,ext3
sha256_generic         16797  2 
aes_x86_64             16796  8 
aes_generic            37122  1 aes_x86_64
cbc                    12747  4 
dm_crypt               22257  1 
dm_mod                 62468  15 dm_crypt
btrfs                 473616  0 
zlib_deflate           25466  1 btrfs
crc32c                 12656  1 
libcrc32c              12426  1 btrfs
sd_mod                 35644  3 
crc_t10dif             12348  1 sd_mod
ahci                   25089  2 
libahci                22616  1 ahci
libata                151572  2 ahci,libahci
scsi_mod              161557  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
thermal                17330  0 
thermal_sys            17939  3 processor,video,thermal

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Lenovo Device [17aa:20e0]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:20e5]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 47
	Region 0: Memory at f4400000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
	Subsystem: Lenovo Device [17aa:20e5]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f4200000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:03.0 Communication controller [0780]: Intel Corporation Mobile 4 Series Chipset MEI Controller [8086:2a44] (rev 07)
	Subsystem: Lenovo Device [17aa:20e6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at fc204800 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 1820 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 1840 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 1860 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:20f1]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 23
	Region 0: Memory at fc204c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Lenovo Device [17aa:20f2]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 48
	Region 0: Memory at fc000000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: bf400000-bf5fffff
	Prefetchable memory behind bridge: 00000000bf600000-00000000bf7fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: f4300000-f43fffff
	Prefetchable memory behind bridge: 00000000bf200000-00000000bf3fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 [8086:2946] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=0c, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f8000000-f9ffffff
	Prefetchable memory behind bridge: 00000000f4000000-00000000f40fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 [8086:2948] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0d, subordinate=14, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: fa000000-fbffffff
	Prefetchable memory behind bridge: 00000000f4100000-00000000f41fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.5 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 [8086:294a] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: f4800000-f48fffff
	Prefetchable memory behind bridge: 00000000bf000000-00000000bf1fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 1880 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 18a0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 18c0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:20f1]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at fc205000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=15, subordinate=18, sec-latency=32
	I/O behind bridge: 00004000-00007fff
	Memory behind bridge: f4900000-f7ffffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f3ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M LPC Interface Controller [8086:2919] (rev 03)
	Subsystem: Lenovo Device [17aa:20f6]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation ICH9M/M-E SATA AHCI Controller [8086:2929] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo Device [17aa:20f8]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 45
	Region 0: I/O ports at 1818 [size=8]
	Region 1: I/O ports at 180c [size=4]
	Region 2: I/O ports at 1810 [size=8]
	Region 3: I/O ports at 1808 [size=4]
	Region 4: I/O ports at 18e0 [size=32]
	Region 5: Memory at fc204000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
	Subsystem: Lenovo Device [17aa:20f9]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at fc205400 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1c00 [size=32]
	Kernel driver in use: i801_smbus

03:00.0 Network controller [0280]: Intel Corporation Ultimate N WiFi Link 5300 [8086:4236]
	Subsystem: Intel Corporation Device [8086:1011]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 46
	Region 0: Memory at f4300000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn

04:00.0 Ethernet controller [0200]: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express [14e4:1693] (rev 02)
	Subsystem: Lenovo Device [17aa:20d5]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 49
	Region 0: Memory at f4800000 (64-bit, non-prefetchable) [size=64K]
	Expansion ROM at <ignored> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: tg3

15:00.0 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev ba)
	Subsystem: Lenovo Device [17aa:20c6]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f4900000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=15, secondary=16, subordinate=17, sec-latency=176
	Memory window 0: f0000000-f3fff000 (prefetchable)
	Memory window 1: c0000000-c3fff000
	I/O window 0: 00004000-000040ff
	I/O window 1: 00004400-000044ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

15:00.1 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 04) (prog-if 10 [OHCI])
	Subsystem: Lenovo Device [17aa:20c7]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f4901000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

15:00.2 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 21)
	Subsystem: Lenovo Device [17aa:20c8]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f4901800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

15:00.4 System peripheral [0880]: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter [1180:0592] (rev 11)
	Subsystem: Lenovo ThinkPad T61 [17aa:20ca]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 11
	Region 0: Memory at f4902000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

15:00.5 System peripheral [0880]: Ricoh Co Ltd xD-Picture Card Controller [1180:0852] (rev 11)
	Subsystem: Lenovo Device [17aa:20cb]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f4902400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: r852


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 17ef:1004 Lenovo Integrated Webcam
Bus 004 Device 002: ID 08ff:2810 AuthenTec, Inc. AES2810


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.39-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.39-1-amd64 recommends:
ii  firmware-linux-free           3          Binary firmware for various driver

Versions of packages linux-image-2.6.39-1-amd64 suggests:
ii  grub-pc                      1.99~rc1-13 GRand Unified Bootloader, version 
pn  linux-doc-2.6.39             <none>      (no description available)

Versions of packages linux-image-2.6.39-1-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.29       Binary firmware for Intel Wireless
ii  firmware-linux                0.29       Binary firmware for various driver
ii  firmware-linux-nonfree        0.29       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
* linux-image-2.6.39-1-amd64/postinst/missing-firmware-2.6.39-1-amd64:
  linux-image-2.6.39-1-amd64/prerm/removing-running-kernel-2.6.39-1-amd64: true
  linux-image-2.6.39-1-amd64/postinst/ignoring-ramdisk:
  linux-image-2.6.39-1-amd64/postinst/depmod-error-initrd-2.6.39-1-amd64: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627575; Package linux-2.6. (Mon, 23 May 2011 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 04:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 627575@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Aaron M. Ucko" <ucko@debian.org>, 627575@bugs.debian.org
Subject: Re: Bug#627575: linux-image-2.6.39-1-amd64: hangs loading eeprom after reporting "GMBUS timed out" [i915]
Date: Sun, 22 May 2011 21:50:07 -0700
[Message part 1 (text/plain, inline)]
On Sun, 2011-05-22 at 00:07 -0400, Aaron M. Ucko wrote:
> Package: linux-2.6
> Version: 2.6.39-1
> Severity: important
> 
> Since upgrading from 2.6.38-2 (Debian 2.6.38-5), I've found that, at
> least on systems with integrated Intel graphics, loading the eeprom
> module hangs indefinitely after reporting messages of the form
> 
> [drm] GMBUS timed out, falling back to bit banging on pin N [i915 gmbus foo]
> 
> This regression proved particularly troublesome on my desktop, whose
> /etc/modules has historically listed eeprom (per sensors-detect?);
> however, as you can see, I can reproduce it on my laptop as well.

I don't know if you're aware, but monitors and other video displays
provide various information (EDID) in an I2C EEPROM, with the I2C bus
running over the display connector.  The eeprom driver is probing this
I2C bus (which seems to be intentional).  I don't recommend that you
load this driver.

> (A couple of minor details vary; my desktop's chipset is a Q35 rather
> than a GM45, and after giving up on pin 0 there, the kernel proceeds
> to try pin 1, with the hang occurring after one mention thereof.)
> 
> Could you please investigate this problem?

I don't see any changes to the eeprom module in 2.6.39, but there have
been some changes to the I2C implementation in the i915 driver.  So
please report this upstream at <https://bugs.freedesktop.org>, under
product 'DRI', component 'DRM/Intel'.  Let us know the bug number or URL
so we can track it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 23 May 2011 04:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627575; Package linux-2.6. (Mon, 23 May 2011 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 19:15:06 GMT) Full text and rfc822 format available.

Message #17 received at 627575@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Ben Hutchings <ben@decadent.org.uk>
Cc: "Aaron M. Ucko" <ucko@debian.org>, 627575@bugs.debian.org
Subject: Re: Bug#627575: linux-image-2.6.39-1-amd64: hangs loading eeprom after reporting "GMBUS timed out" [i915]
Date: Mon, 23 May 2011 15:08:28 -0400
forwarded 627575 https://bugs.freedesktop.org/show_bug.cgi?id=37514
thanks

Ben Hutchings <ben@decadent.org.uk> writes:

> I don't recommend that you load this driver.

Got it, thanks. ;-) That was all pretty much as I thought, and I can
indeed do without the /etc/modules entry (whose absence lets my system
boot normally; AFAICT so far, all is otherwise well with 2.6.39).

> Let us know the bug number or URL so we can track it.

I reported it as https://bugs.freedesktop.org/show_bug.cgi?id=37514 and
am hereby advising the BTS (via a Bcc: to control@bugs.d.o) that I have
done so, though I've left the moreinfo tag set for now in case you need
anything else from me.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=37514'. Request was from ucko@debian.org (Aaron M. Ucko) to control@bugs.debian.org. (Mon, 23 May 2011 19:15:09 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 23 May 2011 19:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627575; Package linux-2.6. (Fri, 17 Jun 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 17 Jun 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #26 received at 627575@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: ucko@debian.org (Aaron M. Ucko)
Cc: Ben Hutchings <ben@decadent.org.uk>, 627575@bugs.debian.org
Subject: Re: Bug#627575: linux-image-2.6.39-1-amd64: hangs loading eeprom after reporting "GMBUS timed out" [i915]
Date: Fri, 17 Jun 2011 11:25:11 -0400
# Bcc:ing control@ once more
tags 627575 fixed-upstream
thanks

https://bugs.freedesktop.org/show_bug.cgi?id=37514#c3

claims that a fix has landed upstream, though I haven't had a chance to
confirm it.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Added tag(s) fixed-upstream. Request was from ucko@debian.org (Aaron M. Ucko) to control@bugs.debian.org. (Fri, 17 Jun 2011 15:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 21 Jun 2011 04:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627575; Package linux-2.6. (Wed, 22 Jun 2011 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Jun 2011 03:12:04 GMT) Full text and rfc822 format available.

Message #35 received at 627575@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Aaron M. Ucko" <ucko@debian.org>, 627575@bugs.debian.org
Subject: Re: Bug#627575: linux-image-2.6.39-1-amd64: hangs loading eeprom after reporting "GMBUS timed out" [i915]
Date: Wed, 22 Jun 2011 04:10:08 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-06-17 at 11:25 -0400, Aaron M. Ucko wrote:
> # Bcc:ing control@ once more
> tags 627575 fixed-upstream
> thanks
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=37514#c3
> 
> claims that a fix has landed upstream, though I haven't had a chance to
> confirm it.

It's commit 826c7e4147f902737b281e8a5a7d7aa33fd63316 upstream.

It's pending for our version 2.6.39-3 and I've also submitted it to
stable@kernel.org.

Ben.

-- 
Ben Hutchings
I'm always amazed by the number of people who take up solipsism because
they heard someone else explain it. - E*Borg on alt.fan.pratchett
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627575; Package linux-2.6. (Wed, 22 Jun 2011 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Jun 2011 03:15:04 GMT) Full text and rfc822 format available.

Message #40 received at 627575@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Ben Hutchings <ben@decadent.org.uk>
Cc: "Aaron M. Ucko" <ucko@debian.org>, 627575@bugs.debian.org
Subject: Re: Bug#627575: linux-image-2.6.39-1-amd64: hangs loading eeprom after reporting "GMBUS timed out" [i915]
Date: Tue, 21 Jun 2011 23:13:34 -0400
Ben Hutchings <ben@decadent.org.uk> writes:

> It's pending for our version 2.6.39-3 and I've also submitted it to
> stable@kernel.org.

Great; thank you very much for identifying and incorporating it!

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 05 Jul 2011 01:51:06 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Tue, 05 Jul 2011 01:51:06 GMT) Full text and rfc822 format available.

Message #45 received at 627575-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627575-close@bugs.debian.org
Subject: Bug#627575: fixed in linux-2.6 2.6.39-3
Date: Tue, 05 Jul 2011 01:49:12 +0000
Source: linux-2.6
Source-Version: 2.6.39-3

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.39-3.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.39-3.diff.gz
linux-2.6_2.6.39-3.dsc
  to main/l/linux-2.6/linux-2.6_2.6.39-3.dsc
linux-doc-2.6.39_2.6.39-3_all.deb
  to main/l/linux-2.6/linux-doc-2.6.39_2.6.39-3_all.deb
linux-manual-2.6.39_2.6.39-3_all.deb
  to main/l/linux-2.6/linux-manual-2.6.39_2.6.39-3_all.deb
linux-patch-debian-2.6.39_2.6.39-3_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.39_2.6.39-3_all.deb
linux-source-2.6.39_2.6.39-3_all.deb
  to main/l/linux-2.6/linux-source-2.6.39_2.6.39-3_all.deb
linux-support-2.6.39-2_2.6.39-3_all.deb
  to main/l/linux-2.6/linux-support-2.6.39-2_2.6.39-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627575@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 04 Jul 2011 07:08:10 +0100
Source: linux-2.6
Binary: linux-tools-2.6.39 linux-source-2.6.39 linux-doc-2.6.39 linux-manual-2.6.39 linux-patch-debian-2.6.39 linux-support-2.6.39-2 linux-libc-dev linux-headers-2.6.39-2-all linux-headers-2.6.39-2-all-alpha linux-headers-2.6.39-2-common linux-image-2.6.39-2-alpha-generic linux-headers-2.6.39-2-alpha-generic linux-image-2.6.39-2-alpha-smp linux-headers-2.6.39-2-alpha-smp linux-image-2.6.39-2-alpha-legacy linux-headers-2.6.39-2-alpha-legacy linux-headers-2.6.39-2-all-amd64 linux-image-2.6.39-2-amd64 linux-headers-2.6.39-2-amd64 linux-image-2.6.39-2-amd64-dbg linux-headers-2.6.39-2-all-armel linux-image-2.6.39-2-iop32x linux-headers-2.6.39-2-iop32x linux-image-2.6.39-2-ixp4xx linux-headers-2.6.39-2-ixp4xx linux-image-2.6.39-2-kirkwood linux-headers-2.6.39-2-kirkwood linux-image-2.6.39-2-orion5x linux-headers-2.6.39-2-orion5x linux-image-2.6.39-2-versatile linux-headers-2.6.39-2-versatile linux-headers-2.6.39-2-all-armhf linux-image-2.6.39-2-mx5 linux-headers-2.6.39-2-mx5
 linux-image-2.6.39-2-omap linux-headers-2.6.39-2-omap linux-headers-2.6.39-2-all-hppa linux-image-2.6.39-2-parisc linux-headers-2.6.39-2-parisc linux-image-2.6.39-2-parisc-smp linux-headers-2.6.39-2-parisc-smp linux-image-2.6.39-2-parisc64 linux-headers-2.6.39-2-parisc64 linux-image-2.6.39-2-parisc64-smp linux-headers-2.6.39-2-parisc64-smp linux-headers-2.6.39-2-all-i386 linux-image-2.6.39-2-486 linux-headers-2.6.39-2-486 linux-image-2.6.39-2-686-pae linux-headers-2.6.39-2-686-pae linux-image-2.6.39-2-686-pae-dbg linux-headers-2.6.39-2-all-ia64 linux-image-2.6.39-2-itanium linux-headers-2.6.39-2-itanium linux-image-2.6.39-2-mckinley linux-headers-2.6.39-2-mckinley linux-headers-2.6.39-2-all-m68k linux-image-2.6.39-2-amiga linux-headers-2.6.39-2-amiga linux-image-2.6.39-2-atari linux-headers-2.6.39-2-atari linux-image-2.6.39-2-bvme6000 linux-headers-2.6.39-2-bvme6000 linux-image-2.6.39-2-mac linux-headers-2.6.39-2-mac linux-image-2.6.39-2-mvme147
 linux-headers-2.6.39-2-mvme147 linux-image-2.6.39-2-mvme16x linux-headers-2.6.39-2-mvme16x linux-headers-2.6.39-2-all-mips linux-image-2.6.39-2-r4k-ip22 linux-headers-2.6.39-2-r4k-ip22 linux-image-2.6.39-2-r5k-ip32 linux-headers-2.6.39-2-r5k-ip32 linux-image-2.6.39-2-sb1-bcm91250a linux-headers-2.6.39-2-sb1-bcm91250a linux-image-2.6.39-2-sb1a-bcm91480b linux-headers-2.6.39-2-sb1a-bcm91480b linux-image-2.6.39-2-4kc-malta linux-headers-2.6.39-2-4kc-malta linux-image-2.6.39-2-5kc-malta linux-headers-2.6.39-2-5kc-malta linux-image-2.6.39-2-octeon linux-headers-2.6.39-2-octeon linux-headers-2.6.39-2-all-mipsel linux-image-2.6.39-2-r5k-cobalt linux-headers-2.6.39-2-r5k-cobalt linux-image-2.6.39-2-loongson-2f linux-headers-2.6.39-2-loongson-2f linux-headers-2.6.39-2-all-powerpc linux-image-2.6.39-2-powerpc linux-headers-2.6.39-2-powerpc linux-image-2.6.39-2-powerpc-smp linux-headers-2.6.39-2-powerpc-smp linux-image-2.6.39-2-powerpc64 linux-headers-2.6.39-2-powerpc64
 linux-headers-2.6.39-2-all-ppc64 linux-headers-2.6.39-2-all-s390 linux-image-2.6.39-2-s390x linux-headers-2.6.39-2-s390x linux-image-2.6.39-2-s390x-tape linux-headers-2.6.39-2-all-sh4 linux-image-2.6.39-2-sh7751r linux-headers-2.6.39-2-sh7751r linux-image-2.6.39-2-sh7785lcr linux-headers-2.6.39-2-sh7785lcr linux-headers-2.6.39-2-all-sparc linux-image-2.6.39-2-sparc64 linux-headers-2.6.39-2-sparc64 linux-image-2.6.39-2-sparc64-smp linux-headers-2.6.39-2-sparc64-smp
 linux-headers-2.6.39-2-all-sparc64
Architecture: all source
Version: 2.6.39-3
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 608684 627575 629932 631574 631666 632551
Description: 
 linux-doc-2.6.39 - Linux kernel specific documentation for version 2.6.39
 linux-headers-2.6.39-2-486 - Header files for Linux 2.6.39-2-486
 linux-headers-2.6.39-2-4kc-malta - Header files for Linux 2.6.39-2-4kc-malta
 linux-headers-2.6.39-2-5kc-malta - Header files for Linux 2.6.39-2-5kc-malta
 linux-headers-2.6.39-2-686-pae - Header files for Linux 2.6.39-2-686-pae
 linux-headers-2.6.39-2-all - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-alpha - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-amd64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-armel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-armhf - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-hppa - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-i386 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-ia64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-m68k - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-mips - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-mipsel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-powerpc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-ppc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-s390 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sh4 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sparc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sparc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-alpha-generic - Header files for Linux 2.6.39-2-alpha-generic
 linux-headers-2.6.39-2-alpha-legacy - Header files for Linux 2.6.39-2-alpha-legacy
 linux-headers-2.6.39-2-alpha-smp - Header files for Linux 2.6.39-2-alpha-smp
 linux-headers-2.6.39-2-amd64 - Header files for Linux 2.6.39-2-amd64
 linux-headers-2.6.39-2-amiga - Header files for Linux 2.6.39-2-amiga
 linux-headers-2.6.39-2-atari - Header files for Linux 2.6.39-2-atari
 linux-headers-2.6.39-2-bvme6000 - Header files for Linux 2.6.39-2-bvme6000
 linux-headers-2.6.39-2-common - Common header files for Linux 2.6.39-2
 linux-headers-2.6.39-2-iop32x - Header files for Linux 2.6.39-2-iop32x
 linux-headers-2.6.39-2-itanium - Header files for Linux 2.6.39-2-itanium
 linux-headers-2.6.39-2-ixp4xx - Header files for Linux 2.6.39-2-ixp4xx
 linux-headers-2.6.39-2-kirkwood - Header files for Linux 2.6.39-2-kirkwood
 linux-headers-2.6.39-2-loongson-2f - Header files for Linux 2.6.39-2-loongson-2f
 linux-headers-2.6.39-2-mac - Header files for Linux 2.6.39-2-mac
 linux-headers-2.6.39-2-mckinley - Header files for Linux 2.6.39-2-mckinley
 linux-headers-2.6.39-2-mvme147 - Header files for Linux 2.6.39-2-mvme147
 linux-headers-2.6.39-2-mvme16x - Header files for Linux 2.6.39-2-mvme16x
 linux-headers-2.6.39-2-mx5 - Header files for Linux 2.6.39-2-mx5
 linux-headers-2.6.39-2-octeon - Header files for Linux 2.6.39-2-octeon
 linux-headers-2.6.39-2-omap - Header files for Linux 2.6.39-2-omap
 linux-headers-2.6.39-2-orion5x - Header files for Linux 2.6.39-2-orion5x
 linux-headers-2.6.39-2-parisc64 - Header files for Linux 2.6.39-2-parisc64
 linux-headers-2.6.39-2-parisc64-smp - Header files for Linux 2.6.39-2-parisc64-smp
 linux-headers-2.6.39-2-parisc - Header files for Linux 2.6.39-2-parisc
 linux-headers-2.6.39-2-parisc-smp - Header files for Linux 2.6.39-2-parisc-smp
 linux-headers-2.6.39-2-powerpc64 - Header files for Linux 2.6.39-2-powerpc64
 linux-headers-2.6.39-2-powerpc - Header files for Linux 2.6.39-2-powerpc
 linux-headers-2.6.39-2-powerpc-smp - Header files for Linux 2.6.39-2-powerpc-smp
 linux-headers-2.6.39-2-r4k-ip22 - Header files for Linux 2.6.39-2-r4k-ip22
 linux-headers-2.6.39-2-r5k-cobalt - Header files for Linux 2.6.39-2-r5k-cobalt
 linux-headers-2.6.39-2-r5k-ip32 - Header files for Linux 2.6.39-2-r5k-ip32
 linux-headers-2.6.39-2-s390x - Header files for Linux 2.6.39-2-s390x
 linux-headers-2.6.39-2-sb1a-bcm91480b - Header files for Linux 2.6.39-2-sb1a-bcm91480b
 linux-headers-2.6.39-2-sb1-bcm91250a - Header files for Linux 2.6.39-2-sb1-bcm91250a
 linux-headers-2.6.39-2-sh7751r - Header files for Linux 2.6.39-2-sh7751r
 linux-headers-2.6.39-2-sh7785lcr - Header files for Linux 2.6.39-2-sh7785lcr
 linux-headers-2.6.39-2-sparc64 - Header files for Linux 2.6.39-2-sparc64
 linux-headers-2.6.39-2-sparc64-smp - Header files for Linux 2.6.39-2-sparc64-smp
 linux-headers-2.6.39-2-versatile - Header files for Linux 2.6.39-2-versatile
 linux-image-2.6.39-2-486 - Linux 2.6.39 for older PCs
 linux-image-2.6.39-2-4kc-malta - Linux 2.6.39 for MIPS Malta
 linux-image-2.6.39-2-5kc-malta - Linux 2.6.39 for MIPS Malta (64-bit)
 linux-image-2.6.39-2-686-pae-dbg - Debugging infos for Linux 2.6.39-2-686-pae
 linux-image-2.6.39-2-686-pae - Linux 2.6.39 for modern PCs
 linux-image-2.6.39-2-alpha-generic - Linux 2.6.39 for Alpha
 linux-image-2.6.39-2-alpha-legacy - Linux 2.6.39 for Alpha Legacy
 linux-image-2.6.39-2-alpha-smp - Linux 2.6.39 for Alpha SMP
 linux-image-2.6.39-2-amd64-dbg - Debugging infos for Linux 2.6.39-2-amd64
 linux-image-2.6.39-2-amd64 - Linux 2.6.39 for 64-bit PCs
 linux-image-2.6.39-2-amiga - Linux 2.6.39 for Amiga
 linux-image-2.6.39-2-atari - Linux 2.6.39 for Atari
 linux-image-2.6.39-2-bvme6000 - Linux 2.6.39 for BVM BVME4000 and BVME6000
 linux-image-2.6.39-2-iop32x - Linux 2.6.39 for IOP32x
 linux-image-2.6.39-2-itanium - Linux 2.6.39 for Itanium
 linux-image-2.6.39-2-ixp4xx - Linux 2.6.39 for IXP4xx
 linux-image-2.6.39-2-kirkwood - Linux 2.6.39 for Marvell Kirkwood
 linux-image-2.6.39-2-loongson-2f - Linux 2.6.39 for Loongson 2F
 linux-image-2.6.39-2-mac - Linux 2.6.39 for Macintosh
 linux-image-2.6.39-2-mckinley - Linux 2.6.39 for Itanium II
 linux-image-2.6.39-2-mvme147 - Linux 2.6.39 for Motorola MVME147
 linux-image-2.6.39-2-mvme16x - Linux 2.6.39 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.39-2-mx5 - Linux 2.6.39 for Freescale MXC/iMX-based
 linux-image-2.6.39-2-octeon - Linux 2.6.39 for Octeon
 linux-image-2.6.39-2-omap - Linux 2.6.39 for TI OMAP3+
 linux-image-2.6.39-2-orion5x - Linux 2.6.39 for Marvell Orion
 linux-image-2.6.39-2-parisc64 - Linux 2.6.39 for 64-bit PA-RISC
 linux-image-2.6.39-2-parisc64-smp - Linux 2.6.39 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.39-2-parisc - Linux 2.6.39 for 32-bit PA-RISC
 linux-image-2.6.39-2-parisc-smp - Linux 2.6.39 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.39-2-powerpc64 - Linux 2.6.39 for 64-bit PowerPC
 linux-image-2.6.39-2-powerpc - Linux 2.6.39 for uniprocessor 32-bit PowerPC
 linux-image-2.6.39-2-powerpc-smp - Linux 2.6.39 for multiprocessor 32-bit PowerPC
 linux-image-2.6.39-2-r4k-ip22 - Linux 2.6.39 for SGI IP22
 linux-image-2.6.39-2-r5k-cobalt - Linux 2.6.39 for Cobalt
 linux-image-2.6.39-2-r5k-ip32 - Linux 2.6.39 for SGI IP32
 linux-image-2.6.39-2-s390x - Linux 2.6.39 for IBM zSeries
 linux-image-2.6.39-2-s390x-tape - Linux 2.6.39 for IBM zSeries, IPL from tape
 linux-image-2.6.39-2-sb1a-bcm91480b - Linux 2.6.39 for BCM91480B
 linux-image-2.6.39-2-sb1-bcm91250a - Linux 2.6.39 for BCM91250A
 linux-image-2.6.39-2-sh7751r - Linux 2.6.39 for sh7751r
 linux-image-2.6.39-2-sh7785lcr - Linux 2.6.39 for sh7785lcr
 linux-image-2.6.39-2-sparc64 - Linux 2.6.39 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.39-2-sparc64-smp - Linux 2.6.39 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.39-2-versatile - Linux 2.6.39 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.39 - Linux kernel API manual pages for version 2.6.39
 linux-patch-debian-2.6.39 - Debian patches to version 2.6.39 of the Linux kernel
 linux-source-2.6.39 - Linux kernel source for version 2.6.39 with Debian patches
 linux-support-2.6.39-2 - Support files for Linux 2.6.39
 linux-tools-2.6.39 - Performance analysis tools for Linux 2.6.39
Changes: 
 linux-2.6 (2.6.39-3) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * [x86] i915: Revert "drm/i915: Enable GMBUS for post-gen2 chipsets"
     (Closes: #627575)
   * linux-source-<version>: Suggest libqt4-dev (for 'make xconfig')
     instead of libqt3-mt-dev (Closes: #631666)
   * [armhf] Add omap flavour, thanks to Sebastian Reichel
   * [armhf] rtc-twl: Switch to using threaded irq
   * bridge/netfilter: provide a cow_metrics method for fake_ops
     (Closes: #629932)
   * Update debconf template translations:
     - Danish (Joe Dalton) (Closes: #632551)
     - Slovak (Slavko) (Closes: #608684)
   * partitions/efi: Fix crash (oops) caused by corrupted GUID partition
     table (CVE-2011-1577)
   * ksm: fix NULL pointer dereference in scan_get_next_rmap_item()
     (CVE-2011-2183)
   * inet_diag: Fix infinite loop in inet_diag_bc_audit() (CVE-2011-2213)
   * taskstats: don't allow duplicate entries in listener mode (CVE-2011-2484)
   * bluetooth: Prevent buffer overflow in l2cap config request
     (CVE-2011-2497)
 .
   [ maximilian attems ]
   * Add stable 2.6.39.2, including:
     - block: Fix crash (oops) in blkdev_get() on failed exclusive open
       (Closes: #631574)
     - nl80211: fix check for valid SSID size in scan operations (CVE-2011-2517)
     - drm/radeon/kms: viewport height has to be even
     - drm/radeon/kms: fix for radeon on systems >4GB without hardware iommu
     - fat: Fix corrupt inode flags when remove ATTR_SYS flag
     - scsi:  Fix oops caused by queue refcounting failure
     - cifs: don't allow cifs_reconnect to exit with NULL socket pointer
     - drm/radeon/kms: do bounds checking for 3D_LOAD_VBPNTR and bump array
       limit
     - TOMOYO: Fix oops in tomoyo_mount_acl() (CVE-2011-2518)
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.39.2
Checksums-Sha1: 
 c8075dfd499a9503af4f3e678674d0a94906e513 5865 linux-2.6_2.6.39-3.dsc
 912f28a4ca7127d81c8b6934fc6451a29b24342c 4587252 linux-2.6_2.6.39-3.diff.gz
 cbafd29be4be370934c44a4b9f73f95566284cfa 6869022 linux-doc-2.6.39_2.6.39-3_all.deb
 6c0e6f56019640ff80423fb28f5ba2e543e7efa6 3110288 linux-manual-2.6.39_2.6.39-3_all.deb
 270edb0ba76db0605410b63a91146a714766ee8b 403946 linux-patch-debian-2.6.39_2.6.39-3_all.deb
 9f6ebc7bd9bbafc384f668f7a8627cd9326f05b9 75578262 linux-source-2.6.39_2.6.39-3_all.deb
 cb2c98e84f4ee984d4048db4a2d63bc12049109c 174798 linux-support-2.6.39-2_2.6.39-3_all.deb
Checksums-Sha256: 
 8a9b02701c0b72d50aff27f87df653fa65475b8f5ab1e52330c127613929e391 5865 linux-2.6_2.6.39-3.dsc
 e963b23d7d1cd9d7b29a19d6f9cc583a8b167d117d427a9c743a95426c254205 4587252 linux-2.6_2.6.39-3.diff.gz
 3a227a8690b244eee22493cfe836d075f4e9c39bf1fd36cbbcaf2a0142bdf098 6869022 linux-doc-2.6.39_2.6.39-3_all.deb
 d139322d8b72fd5eeba9d662ba5963031ea08fa3dbf3672a227bbabe9a6f2d7c 3110288 linux-manual-2.6.39_2.6.39-3_all.deb
 14ed12017543d45b6c227c64912f0d4566ba0e02abcdf68311cda7abb1e42eea 403946 linux-patch-debian-2.6.39_2.6.39-3_all.deb
 e819965585b34301ef93b4372f09ab643946fb178c79f6c705f0b6b7a779d22d 75578262 linux-source-2.6.39_2.6.39-3_all.deb
 f265d8c712846f84ca4bcf6c2ed5351ea83599ce8e99918de025b0393db64a2b 174798 linux-support-2.6.39-2_2.6.39-3_all.deb
Files: 
 13ec26ca151952cfc362aae529ac1fcc 5865 kernel optional linux-2.6_2.6.39-3.dsc
 4ee18b570e8f314885acb44b5d851e74 4587252 kernel optional linux-2.6_2.6.39-3.diff.gz
 d0642faa8e27623ea3b0e7beefb74b1d 6869022 doc optional linux-doc-2.6.39_2.6.39-3_all.deb
 b5772166dad598364cb2501846053d28 3110288 doc optional linux-manual-2.6.39_2.6.39-3_all.deb
 13b00c9664f55ee21c0547f3179222b3 403946 kernel optional linux-patch-debian-2.6.39_2.6.39-3_all.deb
 85c15802430af82667326bdff521fcaa 75578262 kernel optional linux-source-2.6.39_2.6.39-3_all.deb
 f0ddf7b80d5e9894c879cfd241ca5815 174798 devel optional linux-support-2.6.39-2_2.6.39-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBThJhdee/yOyVhhEJAQo/7BAAg9ebeMuDA4B4YMRTfI9yjogyzVcJL5v2
bn6Ivvc8YoRIlj1oLWr11Bbz66pg7q9F9b/1hZFVuArTjABruOFnhZMcJ8FCNFhm
3ZMa8EHhWM6N7L1ZlpzqRQveujgnhslGAu65+rAg+Y7pwxIu6peuHAH9QFsCSfXE
bSR9u/DthbJKlXT38apYMwdzg4ENd5F/G5QJDRJzRofdp2R+DIxtVUhrYMWn0ZTT
LTYorHsnn1wCxHggLeml1OW2RdzxAlxIwVJKOQScl1qNVxOLP7gUZfOGswP5JOrL
U5s3c/in221oOMl/nLJWjDzpWmsjgVG+HxsQkKtLctELlbCBfCDGYj19peiRQmXp
aLCRgObAYcBQKxGHwJ/6jJUn2BifLves0O5SCPYdH/yAF+8pmIrd3XD+rGgzr4ib
kUalFzM+enPYfJHVRu2pVS3UcoqXA5Fk8NnhCLs1rTiSQjaMMuXk9l/dTdQTXXVp
Htrg1o5O4fHD1cCS2XYLk5LQoUbd3GyBsCLjKEWF9wspL7pBWgOLJMRYGr0GVuhc
ygbXseeFGIqzrEF/8TkCko5B3yafb2ZYZEWm1YnMCoVqmqgF4XXCjyT4QFOCYzAl
L9jHYGyB/PAe/BXarGUYpH7pApSTorqEa6uU9El7pteQvDLzMN/uYlKbsICXV2eB
58NKdWZ1MG0=
=xHmX
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 12 Jul 2011 05:27:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:39:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:09:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.